Update workflow
Update workflow metadata (name, description, project/space).
PATCH
/api/workflows/{id}Path parameters
idstringrequiredBody
namestringdescriptionstringlong_descriptionstringproject_infostringrequiredspace_infoobjectRequest
curl
curl -X PATCH https://platform.trickest.com/api/workflows/{id} \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
200Updated workflow
idstringrequirednamestringrequireddescriptionstringspace_idstringspace_infostringspace_namestringproject_idstringproject_infostringproject_namestringvault_idstringauthorstringcreated_datestringrequiredmodified_datestringrequiredis_copybooleanplaygroundbooleanis_templatebooleanis_modulebooleanexecution_countnumberrun_countnumberlast_execution_datestringlast_execution_statusstringlatest_versionstringschedule_infoobjectexecutingbooleancolorstringsolution_idstringhas_appbooleanhas_databasebooleanmetadataobject400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring